Subject: What is the best way to get/retry with FTP client?

From: "Larry Jackson" <[email-masked]>
Date: Thu, 5 Apr 2001 16:44:46 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

I have a project where I use the telnet and ftp clients.
I send commands to a unix server via telnet, which works fine.

I then get the results of the unix program using FTP.
The problem is that it sometimes takes 5 or 10 seconds
for the Unix program to fully create the output file and
I need to wait to its done to get the file with FTP.

I currently try to get it, if it fails I set a TTimer and try again a second
later.
If it fails more a certain number of times I give up and it fails.

I'm not happy with my current implemation and want some other ideas/code
snippets.

Thanks,
[email-masked]